import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';
import { AppBaseFilter } from './generic/app.baseentityfilter';

export class WindreamIndexToWindreamSearchToDepartment extends AppBaseEntity {
    typeName = EN_AppEntities.WindreamIndexToWindreamSearchToDepartment;
    get entitytitle(): string {  //is used for messages
        return this.entityId ? `Ausgabespalte "${this._name}" für Windream Suche` : 'Neue Ausgabespalte für Windream Suche';
    }
    windreamIndexToWindreamSearchToDepartmentId: number;
    windreamSearchToDepartmentId: number;
    windreamIndexId: number;
    seq: number;
    attributeSzColumnName: string;
    objectTypeAttributeSzName: string;

    get _name(): string {
        return this.objectTypeAttributeSzName;
    }

    public get entityId() {
        return this.windreamIndexToWindreamSearchToDepartmentId;
    }
    public set entityId(value) {
        this.windreamIndexToWindreamSearchToDepartmentId = value;
    }

}



export class WindreamIndexToWindreamSearchToDepartmentFilter extends AppBaseFilter {
    WindreamSearchToDepartmentId: number;
}
